%global momorel 4

###############################################################################
###############################################################################
##
##  Copyright (C) 2004-2009 Red Hat, Inc.  All rights reserved.
##
##  This copyrighted material is made available to anyone wishing to use,
##  modify, copy, or redistribute it subject to the terms and conditions
##  of the GNU General Public License v.2.
##
###############################################################################
###############################################################################

# main (empty) package
# http://www.rpm.org/max-rpm/s1-rpm-subpack-spec-file-changes.html

# keep around ready for later user
## define alphatag rc4

# When downloading directly from Mercurial, it will automatically add this prefix
# Invoking 'hg archive' wont but you can add one with:
#  hg archive -t tgz -p "Cluster-Resource-Agents-" -r $altversion $altversion.tar.gz
%define altprefix Cluster-Resource-Agents-
%define altversion 2198dc90bec4

Name: resource-agents
Summary: Open Source HA Resource Agents for Red Hat Cluster
Version: 3.0.3
Release: %{momorel}m%{?dist}
License: GPLv2+ and LGPLv2+
Group: System Environment/Base
URL: http://sources.redhat.com/cluster/wiki/
Source0: ftp://sources.redhat.com/pub/cluster/releases/resource-agents-%{version}%{?alphatag:.%{alphatag}}.tar.gz
NoSource: 0
Source1: http://hg.linux-ha.org/agents/archive/%{altversion}.tar.bz2
NoSource: 1
Patch0: %{altprefix}%{altversion}-init.patch

## Runtime deps
Requires: bash grep sed gawk
Requires: net-tools mount e2fsprogs

## Setup/build bits

BuildRoot: %(mktemp -ud %{_tmppath}/%{name}-%{version}-%{release}-XXXXXX)

# Build dependencies
BuildRequires: cluster-glue-libs-devel glib2-devel
BuildRequires: automake autoconf pkgconfig
BuildRequires: libnet >= 1.1.4-1m

%description
A set of scripts to interface with several services to operate in a
High Availability environment for both Pacemaker and rgmanager
service managers.

%package -n ldirectord
Summary:          Monitor daemon for maintaining high availability resources
Group:            System Environment/Daemons
Requires:         ipvsadm
Requires(post):   chkconfig
Requires(preun):  chkconfig

# We were originally ldirectord, then renamed with a heartbeat- prefix.
# Upstream maintainer wishes to use no prefix, which is consistent with 
# how it is packaged for other distributions
Provides:  ldirectord = 3.0.0-15
Obsoletes: ldirectord < 3.0.0-15
Provides:  heartbeat-ldirectord = 3.0.0-15
Obsoletes: heartbeat-ldirectord < 3.0.0-15

# removed for now until it's in Fedora
#Requires:  perl(Net::IMAP::Simple::SSL)

%description -n ldirectord
ldirectord is a stand-alone daemon to monitor services of real 
for virtual services provided by The Linux Virtual Server
(http://www.linuxvirtualserver.org/). It is simple to install 
and works with the heartbeat code (http://www.linux-ha.org/).

# we inherit configure from cluster project. Configure it for vars we need.
# building from source directly without those parameters will NOT work.
# See http://www.redhat.com/archives/cluster-devel/2009-February/msg00003.html
%prep
%setup -q -n resource-agents-%{version}%{?alphatag:.%{alphatag}} -a 1

pushd %{altprefix}%{altversion}
%patch0 -p1 -b .stop-service
popd

# prepare rgmanager RAs
%{_configure} \
  --sbindir=%{_sbindir} \
  --initddir=%{_sysconfdir}/init.d \
  --libdir=%{_libdir} \
  --without_fence_agents \
  --disable_kernel_check

# prepare pacemaker RAs
cd %{altprefix}%{altversion}
./autogen.sh
%{configure} --enable-fatal-warnings=no

%build
##CFLAGS="$(echo '%{optflags}')" make %{_smp_mflags}
# %{_smp_mflags} is broken from upstream and unrequired for this project.
CFLAGS="$(echo '%{optflags}')" make -C rgmanager/src/resources
cd %{altprefix}%{altversion}
make %{?_smp_mflags}

%install
rm -rf %{buildroot}
make -C rgmanager/src/resources install DESTDIR=%{buildroot}
make -C %{altprefix}%{altversion} install DESTDIR=%{buildroot}

# tree fixup
rm %{buildroot}/%{_libdir}/heartbeat/ocf-*
find %{buildroot} -type f -name '.ocf-*' -exec chmod 644 {} \;
find %{buildroot} -type f -name 'ocf-*' -exec chmod 644 {} \;
find %{buildroot} -type f -name '*.dtd' -exec chmod 644 {} \;
chmod 755 %{buildroot}/%{_sbindir}/ocf-tester
chmod 755 %{buildroot}/%{_datadir}/cluster/ocf-shellfuncs

%clean
rm -rf %{buildroot}

%post -n ldirectord
/sbin/chkconfig --add ldirectord

%postun -n ldirectord -p /sbin/ldconfig

%preun -n ldirectord
/sbin/chkconfig --del ldirectord

%files
%defattr(-,root,root,-)
%doc doc/COPYING.* doc/COPYRIGHT doc/README.licence
%doc %{altprefix}%{altversion}/AUTHORS
%{_datadir}/cluster

%dir /usr/lib/ocf
%dir /usr/lib/ocf/resource.d
/usr/lib/ocf/resource.d/heartbeat
%exclude /usr/lib/ocf/resource.d/heartbeat/ldirectord
%{_sbindir}/ocf-tester
%{_sbindir}/sfex_init

%dir %{_datadir}/resource-agents
%doc %{_datadir}/resource-agents/ra-api-1.dtd

#%%dir %{_libdir}/heartbeat
%{_libdir}/heartbeat/findif
%{_libdir}/heartbeat/send_arp  
%{_libdir}/heartbeat/sfex_daemon

%files -n ldirectord
%defattr(-,root,root,-)
%doc %{altprefix}%{altversion}/COPYING 
%doc %{altprefix}%{altversion}/ldirectord/ldirectord.cf
%{_sbindir}/ldirectord
%config(noreplace) %{_sysconfdir}/logrotate.d/ldirectord
%{_sysconfdir}/init.d/ldirectord
%{_sysconfdir}/ha.d/resource.d/ldirectord
%{_mandir}/man8/ldirectord.8*
/usr/lib/ocf/resource.d/heartbeat/ldirectord

%changelog
* Tue Aug 31 2010 Yohsuke Ooi <meke@momonga-linux.org>
- (3.0.3-4m)
- full rebuild for mo7 release

* Sun Aug 29 2010 Ichiro Nakai <ichiro@n.email.ne.jp>
- (3.0.3-3m)
- stop auto starting service at initial system startup

* Sat Nov 14 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (3.0.3-2m)
- rebuild against gcc-4.4 and glibc-2.11

* Sun Oct  4 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (3.0.3-1m)
- sync with Rawhide
-- 
-- * Wed Sep 23 2009 Fabio M. Di Nitto <fdinitto@redhat.com> - 3.0.3-1
-- - New rgmanager resource agents upstream release
-- 
-- * Thu Aug 20 2009 Fabio M. Di Nitto <fdinitto@redhat.com> - 3.0.1-1
-- - New rgmanager resource agents upstream release
-- 
-- * Tue Aug 18 2009 Andrew Beekhof <andrew@beekhof.net> - 3.0.0-16
-- - Create an ldirectord package
-- - Update Pacameker agents to upstream version: 2198dc90bec4
--   + Build: Import ldirectord.
--   + Ensure HA_VARRUNDIR has a value to substitute
--   + High: Add findif tool (mandatory for IPaddr/IPaddr2)
--   + High: IPv6addr: new nic and cidr_netmask parameters
--   + High: postfix: new resource agent
--   + Include license information
--   + Low (LF 2159): Squid: make the regexp match more precisely output of netstat
--   + Low: configure: Fix package name.
--   + Low: ldirectord: add dependency on $remote_fs.
--   + Low: ldirectord: add mandatory required header to init script.
--   + Medium (LF 2165): IPaddr2: remove all colons from the mac address before passing it to send_arp
--   + Medium: VirtualDomain: destroy domain shortly before timeout expiry
--   + Medium: shellfuncs: Make the mktemp wrappers work.
--   + Remove references to Echo function
--   + Remove references to heartbeat shellfuncs.
--   + Remove useless path lookups
--   + findif: actually include the right header. Simplify configure.
--   + ldirectord: Remove superfluous configure artifact.
--   + ocf-tester: Fix package reference and path to DTD.
-- 
-- * Tue Aug 11 2009 Ville Skytta <ville.skytta@iki.fi> - 3.0.0-15
-- - Use bzipped upstream hg tarball.
-- 
-- * Wed Jul 29 2009 Fabio M. Di Nitto <fdinitto@redhat.com> - 3.0.0-14
-- - Merge Pacemaker cluster resource agents:
--   * Add Source1.
--   * Drop noarch. We have real binaries now.
--   * Update BuildRequires.
--   * Update all relevant prep/build/install/files/description sections.
-- 
-- * Sun Jul 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 3.0.0-13
-- - Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild
-- 
-- * Wed Jul  8 2009 Fabio M. Di Nitto <fdinitto@redhat.com> - 3.0.0-12
-- - spec file updates:
--   * Update copyright header
--   * final release.. undefine alphatag
-- 
-- * Thu Jul  2 2009 Fabio M. Di Nitto <fdinitto@redhat.com> - 3.0.0-11.rc4
-- - New upstream release.
-- 
-- * Sat Jun 20 2009 Fabio M. Di Nitto <fdinitto@redhat.com> - 3.0.0-10.rc3
-- - New upstream release.
-- 
-- * Wed Jun 10 2009 Fabio M. Di Nitto <fdinitto@redhat.com> - 3.0.0-9.rc2
-- - New upstream release + git94df30ca63e49afb1e8aeede65df8a3e5bcd0970

* Tue May 26 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (3.0.0-0.1.1m)
- import from Fedora 11

* Tue Mar 24 2009 Fabio M. Di Nitto <fdinitto@redhat.com> - 3.0.0-8.rc1
- New upstream release.
- Update BuildRoot usage to preferred versions/names

* Mon Mar  9 2009 Fabio M. Di Nitto <fdinitto@redhat.com> - 3.0.0-7.beta1
- New upstream release.

* Fri Mar  6 2009 Fabio M. Di Nitto <fdinitto@redhat.com> - 3.0.0-6.alpha7
- New upstream release.

* Tue Mar  3 2009 Fabio M. Di Nitto <fdinitto@redhat.com> - 3.0.0-5.alpha6
- New upstream release.

* Tue Feb 24 2009 Fabio M. Di Nitto <fdinitto@redhat.com> - 3.0.0-4.alpha5
- Drop Conflicts with rgmanager.

* Mon Feb 23 2009 Fabio M. Di Nitto <fdinitto@redhat.com> - 3.0.0-3.alpha5
- New upstream release.

* Thu Feb 19 2009 Fabio M. Di Nitto <fdinitto@redhat.com> - 3.0.0-2.alpha4
- Add comments on how to build this package.

* Thu Feb  5 2009 Fabio M. Di Nitto <fdinitto@redhat.com> - 3.0.0-1.alpha4
- New upstream release.
- Fix datadir/cluster directory ownership.

* Tue Jan 27 2009 Fabio M. Di Nitto <fdinitto@redhat.com> - 3.0.0-1.alpha3
  - Initial packaging
